Vendor:       Friedrich Lobenstock
Distribution: SuSE Linux 6.4 (i386)
Name:         ipac
Release:      3
Copyright:    (c) 1997 - 2000 Moritz Both
Group:        unsorted

Packager:     support@fl.priv.at
Requires:     ipchains
Autoreqprov:  on

Version:      1.10b
Summary:      IPAC - an ip accounting package
Source:       ipac-%{version}.tar.gz
Patch:        ipac-1.09.dif
Buildroot:    /var/tmp/ipac

%description
IPAC is a package which is designed to gather, summarize and nicely
output the IP accounting data. ipac make summaries and graphs as ascii
text and/or gif images with graphs.

ipac...
        - is for Linux
        - runs on top of the ipfwadm or ipchains tool
        - needs certain kernel parts compiled in

--
http://www.comlink.apc.org/~moritz/ipac.html

%changelog

* Sun Jun 12 2000 Friedrich Lobenstock <fl@fl.priv.at>
   + prepared the first rpm package for ipac 1.09 on SuSE 6.4

%prep
# ---------------------------------------------------------------------------
%setup -q

%patch -p1

# ---------------------------------------------------------------------------
%build
make

# ---------------------------------------------------------------------------
%install
if [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/man/man8
make install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 rc $RPM_BUILD_ROOT/etc/rc.d/init.d/ipac
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -sf /etc/rc.d/init.d/ipac $RPM_BUILD_ROOT/usr/sbin/rcipac
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 rc.config.ipac $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.ipac

# ---------------------------------------------------------------------------
%clean
if [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

# ---------------------------------------------------------------------------
%post
# Run ipac on startup
if [ -f etc/SuSE-release ]; then
  # we are running on SuSE Linux or compatible
  rm -f etc/rc.d/init.d/rc?.d/???ipac
  ln -s ../ipac sbin/init.d/rc2.d/S21ipac 
  ln -s ../ipac sbin/init.d/rc2.d/K20ipac
  ln -s ../ipac sbin/init.d/rc3.d/S21ipac 
  ln -s ../ipac sbin/init.d/rc3.d/K20ipac
  echo "Updating etc/rc.config..."
  if [ -x bin/fillup ] ; then
    bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.ipac
  else
    echo "ERROR: fillup not found. This should not happen. Please compare"
    echo "etc/rc.config and var/adm/fillup-templates/rc.config.ipac and"
    echo "update by hand."
  fi
else
  # we are running on Redhat Linux or compatible
  ## someone first change the startup script to work on redhat too
  #[ -x /sbin/chkconfig ] && /sbin/chkconfig --add ipac
  echo You have to make sure that ipac gets started at bootup.
fi
true

%preun
if
  [ $1 = 0 ]
then
  if [ -f etc/SuSE-release ]; then
    # we are running on SuSE Linux or compatible
    rm -f sbin/init.d/rc?.d/???ipac
  #else
    # we are running on Redhat Linux or compatible
    ## someone first change the startup script to work on redhat too
    #[ -x /sbin/chkconfig ] && /sbin/chkconfig --del heartbeat
  fi
fi
true
%files
# ---------------------------------------------------------------------------
%defattr(-,root,root)
/usr/local/bin/fetchipac
/usr/local/bin/ipacsum
/usr/local/bin/ipacset
/usr/local/man/man8/fetchipac.8
/usr/local/man/man8/ipacset.8
/usr/local/man/man8/ipacsum.8
/etc/rc.d/init.d/ipac
/usr/sbin/rcipac
/var/adm/fillup-templates/rc.config.ipac
%doc CHANGES
%doc COPYING
%doc README
%doc UPDATE
%doc contrib
%doc ipac.conf

